Subject: [Teas] IETF TE Topology YANG Model Design Meeting Notes - 2016-05-23

From: Xufeng Liu <[email-masked]>
Date: Thu, 26 May 2016 14:48:05 +0000

Participants:
Igor, Xufeng, Pavan, Dieter, Sergio, Himanshu

- Information sources
  > Discussed two use cases related to information sources:
    1) Provider applies policies to pick the most preferred.
    2) Provider does not apply policies and the decision is done by customer.
  > The model currently supports 1) well, but is not clear on 2).
  > Agreed to clarify the model by:
    1) Change "alt-information-sources" to "information-sources" to
       include all sources, including the selected one.
    2) For use case 1), the applied attribute has the selected value, and
       "information-sources" list all available sources.
       For use case 2), the applied attribute does not have value, and
       "information-sources" list all available sources.

- Connectivity Matrix
  > Discussed the comment from Cyril "to add a Label (Following
    RFC7579) restrictions".
  > Participants agreed that such constraint information is useful.
  > Participants agreed that such constraint information is generic
    enough to be used in various layers and use cases, including optical
    OTN, and abstract network topologies.
  > Participants agreed to send the suggestion TEAS WG to add such
    information to te-topology model.
  > The potential model change can be:
    For each connectivity-matrix entry, add:
      list of labels
        list types
               o inclusive-list
               o exclusive-list
               o inclusive-range
               o exclusive-range
               For each label
               o exclusivity (true/false)
Working members: please provide any comments.

Thanks,

- Xufeng

Note: Please drop me an email if you need an invite for joining the weekly call.

PS. Meeting on May 30 will be canceled for US holiday.

---

From: Leeyoung <[email-masked]>
Date: Thu, 26 May 2016 15:31:08 +0000

Hi Xufeng,

Thanks for this update. Your notes are always very helpful to understand the latest progress of this draft.

I have a few questions on the potentially adding model for labels for the connectivity matrix.

1.      You said:

               For each label

Do you mean this bitmap?

2.      Are you aware of label restrictions applied for the connectivity matrix other than WSON? If so, then this model addition makes sense; if not, then we can add the label model for the connectivity matrix in the WSON YANG model. If the extent to which label model addition is not really a major constraint in the switching technologies other than WSON, it would be worthwhile to evaluate if we should do label restriction model in a generic way (per this draft) or do it in WSON specific way?  I am not aware of any label restriction model for the connectivity matrix for GMPLS other than WSON.

3.       If we were to extend the label model for the connectivity matrix, I would think we also need to have label restriction model for TTP LLCL as well. What do you think?

Thanks.
Young

From: Teas [mailto:[email-masked]] On Behalf Of Xufeng Liu
Sent: Thursday, May 26, 2016 9:48 AM
To: Vishnu Pavan Beeram; Igor Bryskin; Oscar Gonzalez De Dios; Tarek Saad; Himanshu Shah; Lou Berger; BRUNGARD, DEBORAH A (ATTLABS); Susan Hares; Zafar Ali (zali); Khaddam, Mazen (CCI-Atlanta); Tony Le; BELOTTI, SERGIO (SERGIO); Beller, Dieter (Dieter); Rajan Rao; Zhangxian (Xian); [email-masked]; Belotti, Sergio (Nokia - IT); Anurag Sharma
Cc: [email-masked]
Subject: [Teas] IETF TE Topology YANG Model Design Meeting Notes - 2016-05-23

Participants:

- Information sources

- Connectivity Matrix
    RFC7579) restrictions".

Thanks,

- Xufeng

---

From: Igor Bryskin <[email-masked]>
Date: Thu, 26 May 2016 16:44:24 +0000

Hi Young,

Please, see in-line,

Igor

From: Leeyoung
Sent: Thursday, May 26, 2016 11:31 AM
To: Xufeng Liu; Vishnu Pavan Beeram; Igor Bryskin; Oscar Gonzalez De Dios; Tarek Saad; Himanshu Shah; Lou Berger; BRUNGARD, DEBORAH A (ATTLABS); Susan Hares; Zafar Ali (zali); Khaddam, Mazen (CCI-Atlanta); Tony Le; BELOTTI, SERGIO (SERGIO); Beller, Dieter (Dieter); Rajan Rao; Zhangxian (Xian); [email-masked]; Belotti, Sergio (Nokia - IT); Anurag Sharma
Cc: [email-masked]
Subject: RE: IETF TE Topology YANG Model Design Meeting Notes - 2016-05-23

Hi Xufeng,

1.      You said:

               For each label

Do you mean this bitmap?

2.      Are you aware of label restrictions applied for the connectivity matrix other than WSON? If so, then this model addition makes sense; if not, then we can add the label model for the connectivity matrix in the WSON YANG model. If the extent to which label model addition is not really a major constraint in the switching technologies other than WSON, it would be worthwhile to evaluate if we should do label restriction model in a generic way (per this draft) or do it in WSON specific way?  I am not aware of any label restriction model for the connectivity matrix for GMPLS other than WSON.
IB>> We had this discussion many time already. There are physical OTN switches that have constraints on the ODUk type level. For example, a switch can switch ODU2 from link 1 to link2, but ODU2e from link 1 to only link3. This is especially true for abstract compound nodes which may represent entire network domains. As you know abstract TE modes are very important for this model. So, no, connectivity restriction on a label level does not apply only to WDM.

3.       If we were to extend the label model for the connectivity matrix, I would think we also need to have label restriction model for TTP LLCL as well. What do you think?
IB>> This is actually a good point. Thanks for pointing out.

Cheers,
Igor

Thanks.
Young

Participants:

- Information sources

- Connectivity Matrix
    RFC7579) restrictions".

Thanks,

- Xufeng

---

From: Leeyoung <[email-masked]>
Date: Thu, 26 May 2016 18:58:04 +0000

Hi Igor,

Thanks for your comments.

In OTN, if you consider ODUk as labels, I am fine with that. I thought ODUk is more or less Switching/Encoding in the ISCD Link model than a label.

Another question on the TTP, can REG/WC (Wavelength Converter) element be considered as a type of the TTP? If so, I think TTP can be generalized to include Transponders and REG/WC elements.

Thanks.
Young

From: Igor Bryskin
Sent: Thursday, May 26, 2016 11:44 AM
To: Leeyoung; Xufeng Liu; Vishnu Pavan Beeram; Oscar Gonzalez De Dios; Tarek Saad; Himanshu Shah; Lou Berger; BRUNGARD, DEBORAH A (ATTLABS); Susan Hares; Zafar Ali (zali); Khaddam, Mazen (CCI-Atlanta); Tony Le; BELOTTI, SERGIO (SERGIO); Beller, Dieter (Dieter); Rajan Rao; Zhangxian (Xian); [email-masked]; Belotti, Sergio (Nokia - IT); Anurag Sharma
Cc: [email-masked]
Subject: RE: IETF TE Topology YANG Model Design Meeting Notes - 2016-05-23

Hi Young,

Please, see in-line,

Igor

From: Leeyoung
Sent: Thursday, May 26, 2016 11:31 AM
To: Xufeng Liu; Vishnu Pavan Beeram; Igor Bryskin; Oscar Gonzalez De Dios; Tarek Saad; Himanshu Shah; Lou Berger; BRUNGARD, DEBORAH A (ATTLABS); Susan Hares; Zafar Ali (zali); Khaddam, Mazen (CCI-Atlanta); Tony Le; BELOTTI, SERGIO (SERGIO); Beller, Dieter (Dieter); Rajan Rao; Zhangxian (Xian); [email-masked]<mailto:[email-masked]>; Belotti, Sergio (Nokia - IT); Anurag Sharma
Cc: [email-masked]<mailto:[email-masked]>
Subject: RE: IETF TE Topology YANG Model Design Meeting Notes - 2016-05-23

Hi Xufeng,

1.      You said:

               For each label

Do you mean this bitmap?

Cheers,
Igor

Thanks.
Young

From: Teas [mailto:[email-masked]] On Behalf Of Xufeng Liu
Sent: Thursday, May 26, 2016 9:48 AM
To: Vishnu Pavan Beeram; Igor Bryskin; Oscar Gonzalez De Dios; Tarek Saad; Himanshu Shah; Lou Berger; BRUNGARD, DEBORAH A (ATTLABS); Susan Hares; Zafar Ali (zali); Khaddam, Mazen (CCI-Atlanta); Tony Le; BELOTTI, SERGIO (SERGIO); Beller, Dieter (Dieter); Rajan Rao; Zhangxian (Xian); [email-masked]<mailto:[email-masked]>; Belotti, Sergio (Nokia - IT); Anurag Sharma
Cc: [email-masked]<mailto:[email-masked]>
Subject: [Teas] IETF TE Topology YANG Model Design Meeting Notes - 2016-05-23

Participants:

- Information sources

- Connectivity Matrix
    RFC7579) restrictions".

Thanks,

- Xufeng

---

From: Igor Bryskin <[email-masked]>
Date: Thu, 26 May 2016 20:17:48 +0000

Young,

"Another question on the TTP, can REG/WC (Wavelength Converter) element be considered as a type of the TTP? If so, I think TTP can be generalized to include Transponders and REG/WC elements."

One important role of TTP is to represent topologically a client/server layer adaptor to facilitate inter-layer path computations. REG/WC has no adaptation capabilities.
WDM augmentation could IMHO model REG/WC as a TTP with no adaptation caps, however, because this is only pertinent to OCh layer, it should not be part of the basic TE topology model.

Igor

From: Leeyoung
Sent: Thursday, May 26, 2016 2:58 PM
To: Igor Bryskin; Xufeng Liu; Vishnu Pavan Beeram; Oscar Gonzalez De Dios; Tarek Saad; Himanshu Shah; Lou Berger; BRUNGARD, DEBORAH A (ATTLABS); Susan Hares; Zafar Ali (zali); Khaddam, Mazen (CCI-Atlanta); Tony Le; BELOTTI, SERGIO (SERGIO); Beller, Dieter (Dieter); Rajan Rao; Zhangxian (Xian); [email-masked]; Belotti, Sergio (Nokia - IT); Anurag Sharma
Cc: [email-masked]
Subject: RE: IETF TE Topology YANG Model Design Meeting Notes - 2016-05-23

Hi Igor,

Youmg,

Thanks.
Young

From: Igor Bryskin

Hi Young,

Please, see in-line,

Igor

From: Leeyoung

Hi Xufeng,

1.      You said:

               For each label

Do you mean this bitmap?

Cheers,
Igor

Thanks.
Young

Participants:

- Information sources

- Connectivity Matrix
    RFC7579) restrictions".

Thanks,

- Xufeng

---

From: Xufeng Liu <[email-masked]>
Date: Fri, 27 May 2016 13:50:52 +0000

Hi Young,

More below.
Thanks,

- Xufeng

From: Igor Bryskin [mailto:[email-masked]]
Sent: Thursday, May 26, 2016 4:18 PM
To: Leeyoung <[email-masked]>; Xufeng Liu <[email-masked]>; Vishnu Pavan Beeram <[email-masked]>; Oscar Gonzalez De Dios <[email-masked]>; Tarek Saad <[email-masked]>; Himanshu Shah <[email-masked]>; Lou Berger <[email-masked]>; BRUNGARD, DEBORAH A (ATTLABS) <[email-masked]>; Susan Hares <[email-masked]>; Zafar Ali (zali) <[email-masked]>; Khaddam, Mazen (CCI-Atlanta) <[email-masked]>; Tony Le <[email-masked]>; BELOTTI, SERGIO (SERGIO) <[email-masked]>; Beller, Dieter (Dieter) <[email-masked]>; Rajan Rao <[email-masked]>; Zhangxian (Xian) <[email-masked]>; [email-masked]; Belotti, Sergio (Nokia - IT) <[email-masked]>; Anurag Sharma <[email-masked]>
Cc: [email-masked]
Subject: RE: IETF TE Topology YANG Model Design Meeting Notes - 2016-05-23

Young,

Igor

From: Leeyoung
Sent: Thursday, May 26, 2016 2:58 PM
To: Igor Bryskin; Xufeng Liu; Vishnu Pavan Beeram; Oscar Gonzalez De Dios; Tarek Saad; Himanshu Shah; Lou Berger; BRUNGARD, DEBORAH A (ATTLABS); Susan Hares; Zafar Ali (zali); Khaddam, Mazen (CCI-Atlanta); Tony Le; BELOTTI, SERGIO (SERGIO); Beller, Dieter (Dieter); Rajan Rao; Zhangxian (Xian); [email-masked]<mailto:[email-masked]>; Belotti, Sergio (Nokia - IT); Anurag Sharma
Cc: [email-masked]<mailto:[email-masked]>
Subject: RE: IETF TE Topology YANG Model Design Meeting Notes - 2016-05-23

Hi Igor,

Youmg,

Thanks.
Young

From: Igor Bryskin
Sent: Thursday, May 26, 2016 11:44 AM
To: Leeyoung; Xufeng Liu; Vishnu Pavan Beeram; Oscar Gonzalez De Dios; Tarek Saad; Himanshu Shah; Lou Berger; BRUNGARD, DEBORAH A (ATTLABS); Susan Hares; Zafar Ali (zali); Khaddam, Mazen (CCI-Atlanta); Tony Le; BELOTTI, SERGIO (SERGIO); Beller, Dieter (Dieter); Rajan Rao; Zhangxian (Xian); [email-masked]<mailto:[email-masked]>; Belotti, Sergio (Nokia - IT); Anurag Sharma
Cc: [email-masked]<mailto:[email-masked]>
Subject: RE: IETF TE Topology YANG Model Design Meeting Notes - 2016-05-23

Hi Young,

Please, see in-line,

Igor

From: Leeyoung

Hi Xufeng,

1.      You said:

               For each label

Do you mean this bitmap?
[Xufeng] This is the LINK_LABEL_EXCLUSIVITY in RFC 7579.

Cheers,
Igor

Thanks.
Young

Participants:

- Information sources

- Connectivity Matrix
    RFC7579) restrictions".

Thanks,

- Xufeng

---

From: Leeyoung <[email-masked]>
Date: Fri, 27 May 2016 17:13:33 +0000

Hi Xufeng,

Thanks for your reply. I think you should look at Section 2.6 Label Set Field (RFC 7579) where the following actions are defined.

Action:

      0 - Inclusive List

      1 - Exclusive List

      2 - Inclusive Range

      3 - Exclusive Range

      4 - Bitmap Set  --- This is by far the simplest ways to represent the label availability.

What do you think?

Young

From: Teas [mailto:[email-masked]] On Behalf Of Xufeng Liu
Sent: Friday, May 27, 2016 8:51 AM
To: Igor Bryskin; Leeyoung; Vishnu Pavan Beeram; Oscar Gonzalez De Dios; Tarek Saad; Himanshu Shah; Lou Berger; BRUNGARD, DEBORAH A (ATTLABS); Susan Hares; Zafar Ali (zali); Khaddam, Mazen (CCI-Atlanta); Tony Le; BELOTTI, SERGIO (SERGIO); Beller, Dieter (Dieter); Rajan Rao; Zhangxian (Xian); [email-masked]; Belotti, Sergio (Nokia - IT); Anurag Sharma
Cc: [email-masked]
Subject: Re: [Teas] IETF TE Topology YANG Model Design Meeting Notes - 2016-05-23

Hi Young,

More below.
Thanks,

- Xufeng

To: Leeyoung <[email-masked]<mailto:[email-masked]>>; Xufeng Liu <[email-masked]<mailto:[email-masked]>>; Vishnu Pavan Beeram <[email-masked]<mailto:[email-masked]>>; Oscar Gonzalez De Dios <[email-masked]<mailto:[email-masked]>>; Tarek Saad <[email-masked]<mailto:[email-masked]>>; Himanshu Shah <[email-masked]<mailto:[email-masked]>>; Lou Berger <[email-masked]<mailto:[email-masked]>>; BRUNGARD, DEBORAH A (ATTLABS) <[email-masked]<mailto:[email-masked]>>; Susan Hares <[email-masked]<mailto:[email-masked]>>; Zafar Ali (zali) <[email-masked]<mailto:[email-masked]>>; Khaddam, Mazen (CCI-Atlanta) <[email-masked]<mailto:[email-masked]>>; Tony Le <[email-masked]<mailto:[email-masked]>>; BELOTTI, SERGIO (SERGIO) <[email-masked]<mailto:[email-masked]>>; Beller, Dieter (Dieter) <[email-masked]<mailto:[email-masked]>>; Rajan Rao <[email-masked]<mailto:[email-masked]>>; Zhangxian (Xian) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Belotti, Sergio (Nokia - IT) <[email-masked]<mailto:[email-masked]>>; Anurag Sharma <[email-masked]<mailto:[email-masked]>>

Young,

Igor

From: Leeyoung

Hi Igor,

Youmg,

Thanks.
Young

From: Igor Bryskin

Hi Young,

Please, see in-line,

Igor

From: Leeyoung

Hi Xufeng,

1.      You said:

               For each label

Do you mean this bitmap?

Cheers,
Igor

Thanks.
Young

Participants:

- Information sources

- Connectivity Matrix
    RFC7579) restrictions".

Thanks,

- Xufeng